# Class FastqTrimmer

java.lang.Object
org.snpeff.fastq.FastqTrimmer

Direct Known Subclasses:
  `FastqTrimmerMedian`

public class FastqTrimmer extends Object
Trim fastq sequence when quality drops below a threshold The resulting sequence has to ba at least 'minBases'

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static boolean`
`debug`

## Constructor Summary

Constructors
Constructor
Description
`FastqTrimmer(int qualityThreshold, int minBases)`

## Method Summary

Modifier and Type
Method
Description
`org.biojava.nbio.genome.io.fastq.Fastq`
`trim(org.biojava.nbio.genome.io.fastq.Fastq fastq)`
Create a new fastq sequence by trimming the given sequence

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debug

public static boolean debug

## Constructor Details

### FastqTrimmer

public FastqTrimmer(int qualityThreshold, int minBases)

## Method Details

### trim

public org.biojava.nbio.genome.io.fastq.Fastq trim(org.biojava.nbio.genome.io.fastq.Fastq fastq)
Create a new fastq sequence by trimming the given sequence

Parameters:
  `fastq` -
Returns: